#
# spec file for package dia (Version 0.92.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  docbook-dsssl-stylesheets docbook-toys docbook_4 gnome2-devel-packages intltool iso_ent libpng-devel-packages libxslt libxslt-devel openjade opensp python python-devel python-gtk sgml-skel

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel atk atk-devel audiofile autoconf automake binutils docbook-dsssl-stylesheets docbook-toys docbook_4 esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-filesystem gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel intltool iso_ent libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libjpeg libpng libpng-devel libtool libwnck libwnck-devel libxml2 libxml2-devel libxslt libxslt-devel linc linc-devel openjade opensp openssl-devel orbit2 orbit2-devel pango pango-devel perl perl-XML-Parser pkgconfig popt-devel python python-devel python-gtk rpm sgml-skel update-desktop-files

Name:           dia
%define prefix /opt/gnome
License:        GPL
Group:          Productivity/Graphics/Other
Requires:       ghostscript-fonts-std python-gtk python-numeric
Autoreqprov:    on
Summary:        A Diagram Creation program
Version:        0.92.2
Release:        112.21
Source:         ftp://ftp.gnome.org/pub/GNOME/stable/sources/dia/dia-%{version}.tar.bz2
Source1:        font-test-japanese.dia
Source2:        font-test-czech.dia
Source3:        font-test-german-euro.dia
Patch:          %name-%version-callbrowser.diff
Patch1:         %name-%version-freetype.diff
Patch2:         %name-%version-lib64.diff
Patch3:         dia-gtktype.patch
Patch4:         dia-xfig.patch
Patch5:         dia-cve-2006-2480.patch
Patch6:         dia-cve-2006-2453.patch
URL:            http://www.lysator.liu.se/~alla/dia/dia.html
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Dia is designed to be much like the commercial program 'Visio.' It can
be used to draw many different kinds of diagrams. It has special
objects to help draw entity relationship diagrams, UML diagrams, SADT,
flowcharts, network diagrams, and simple circuits. It is possible to
add support for new shapes by writing simple XML files, and using a
subset of SVG to draw the shape.

Dia can load and save diagrams to a custom XML format (gzipped by
default to save space), can export diagrams to EPS, PNG, CGM, or SVG
formats, and can print diagrams (including ones that span multiple
pages).



Authors:
--------
    James Henstridge <james@daa.com.au>
    Alexander Larsson <alla@lysator.liu.se>

%prep
%setup
%patch -p1
%patch1
%patch2
%patch3
cd plug-ins/xfig
%patch4
cd ../..
%patch5
%patch6
cp $RPM_SOURCE_DIR/font-test*dia .

%build
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%prefix \
	    --mandir=%_mandir \
	    --libdir=%prefix/%_lib \
	    --enable-db2html \
	    --enable-gnome \
	    --with-python
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file dia -r Office FlowChart

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL 
%doc KNOWN_BUGS NEWS README TODO samples/*.dia
%doc font-test*dia
%_mandir/man1/*
%prefix/bin/*
%prefix/%_lib/dia
%prefix/share/dia
%prefix/share/applications/*.desktop
%prefix/share/gnome/help/*
%prefix/share/locale/*/LC_MESSAGES/dia.mo
%prefix/share/mime-info/*
%prefix/share/pixmaps/*

%changelog -n dia
* Tue May 23 2006 - sbrabec@suse.cz
- Fixed more format string vulnerabilities (CVE-2006-2453,
  [#173867]).
* Wed May 17 2006 - sbrabec@suse.cz
- Fixed message format string vulnerability (CVE-2006-2480,
  [#173867]).
* Tue Apr 11 2006 - sbrabec@suse.cz
- Fixed XFig import object ordering (162074#c9).
* Fri Mar 31 2006 - sbrabec@suse.cz
- Fixed XFig import buffer overflows (#162074).
  http://mail.gnome.org/archives/dia-list/2006-March/msg00149.html
* Mon May 31 2004 - sbrabec@suse.cz
- Fixed crash on IA64 (#41339).
  http://bugzilla.gnome.org/show_bug.cgi?id=143448
* Mon Feb 23 2004 - adrian@suse.de
- fix multiple menu entries
* Thu Jan 08 2004 - ro@suse.de
- fix build with current freetype
- fix build with lib64
* Sun Nov 09 2003 - mmj@suse.de
- Update to dia-0.92.2
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 0.92.
- Enabled python, xslt and GNOME support.
* Thu Oct 16 2003 - mmj@suse.de
- Don't build as root
* Wed Sep 10 2003 - mmj@suse.de
- Bug [#30080] brought to my attention we don't package the docu-
  mentation.
- Use call-browser instead of netscape [#30080]
* Mon Sep 01 2003 - mmj@suse.de
- Disable buggy xslt plugin [#29690]
* Sat Aug 16 2003 - adrian@suse.de
- add Categories
* Thu Jul 24 2003 - hhetter@suse.de
- %%_lib fixes
* Tue Jul 22 2003 - hhetter@suse.de
- prefix to /opt/gnome
- remove former prefix clash fixes
- use gnome-filesystem
* Wed Jun 18 2003 - sbrabec@suse.cz
- Desktop file prefix clash fix.
* Wed Mar 26 2003 - mmj@suse.de
- Update to 0.91, which switches to GNOME2
* Fri Mar 07 2003 - mmj@suse.de
- Add patch to avoid strlen(0); [#24620]
* Wed Jan 08 2003 - ro@suse.de
- fixed configure
* Wed Nov 06 2002 - uli@suse.de
- fixed segfault on x86-64 and other 64 bit systems
* Thu Oct 24 2002 - hhetter@suse.de
- applied patch from CVS (no longer translate font
  strings) (Bug Id #20676)
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Thu Aug 08 2002 - mfabian@suse.de
- update to 0.90
- add configure option --enable-freetype
  using this option, fonts will be embedded in the PostScript
  ouput and all scalable fonts installed can be used.
  This works nicely for most European languages.
  Unfortunately it doesn't work for CJK. Japanese can be displayed
  on screen but printing doesn't work (but Japanese printing
  stopped working without "--enable-freetype" as well).
* Tue Jul 02 2002 - meissner@suse.de
- auto* rerun, some automake related fixes.
* Thu Mar 21 2002 - mfabian@suse.de
- fix for bugzilla #15026 (dia crashes for LANG=de_DE@euro)
  use fallback fonts which certainly work with gdk_fontset_load
  if some fonts cannot be found to avoid crashing.
  (I made iso8859-15 fonts usable with 'dia' available in the
  ghostscript-fonts-std package, i.e. 'dia' will not crash anymore
  for de_DE@euro even without this fallback font fix. Nevertheless
  it is a safer to have valid fallback fonts as well).
- include test file for de_DE@euro font-test-german-euro.dia
* Sat Mar 02 2002 - mfabian@suse.de
- fix for bugzilla #13267 and #14015
  (International fonts are broken (can't write in czech)):
- use the URW Type1 fonts as the preferred fonts for display on X11
  as these are very similar to the fonts used for printing
  (identical when our Ghostscript is used). Leaving in the bitmap
  fonts as fallbacks doesn't hurt.
- add Requires: ghostscript-fonts-std
- use gdk_fontset_load instead of gdk_font_load always *exept*
  for the "fontspecific" fonts (i.e. "Symbol" and "Dingbats").
- Add support for the Japanese fonts
  Ryumin-Light-EUC-H and GothicBBB-Medium-EUC-H
- don't reencode the "Dingbats" font and the Japanese fonts either
  when generating .eps
* Thu Feb 21 2002 - hhetter@suse.de
- dia-fonts.dif: Dia maintains a static font list with
  nearly only Bitmap-Fonts. It does internal AA via libart
  and requests the fonts in sizes that our X-Server doesn't
  provide because the :unscaled flag is set on bitmap fonts.
  The patch reorganizes Dia's font list to actually scaleable
  ones and fonts where scaling makes sense.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jun 14 2001 - egger@suse.de
- Updated to version 0.88.1.
- General specfile cleanup.
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Wed Mar 21 2001 - ro@suse.de
- added esound-devel
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Tue Aug 08 2000 - grimmer@suse.de
- update to 0.86
- moved man page to %%{_mandir}/man1
- added some more docu (doc/*)
* Wed May 24 2000 - egger@suse.de
- update to 0.85
* Tue Feb 29 2000 - grimmer@suse.de
- update to 0.84
- use BUILD_ROOT and strip binary during installation
* Wed Jan 26 2000 - grimmer@suse.de
- update to 0.83
- use version macro in spec file
* Tue Jan 04 2000 - grimmer@suse.de
- update to 0.82
- reworked package descriptions
- added NLS support
- added missing files to file list
* Thu Nov 11 1999 - ray@suse.de
- new package dia version 0.81
